### Class

# Soup ContentDecoder

#### Description [src]

    final class Soup.ContentDecoder : GObject.Object {
      /* No available fields */
    }

Handles decoding of HTTP messages.

`SoupContentDecoder` handles adding the “Accept-Encoding” header on outgoing messages, and processing the “Content-Encoding” header on incoming ones. Currently it supports the “gzip”, “deflate”, and “br” content codings.

A `SoupContentDecoder` will automatically be added to the session by default. (You can use `soup_session_remove_feature_by_type()` if you don’t want this.)

If `SoupContentDecoder` successfully decodes the Content-Encoding, the message body will contain the decoded data; however, the message headers will be unchanged (and so “Content-Encoding” will still be present, “Content-Length” will describe the original encoded length, etc).

If “Content-Encoding” contains any encoding types that `SoupContentDecoder` doesn’t recognize, then none of the encodings will be decoded.

(Note that currently there is no way to (automatically) use Content-Encoding when sending a request body, or to pick specific encoding types to support.)

#### Ancestors

- GObject

#### Implements

- SoupSessionFeature

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SoupContentDecoderClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.